# Последняя транзакция адреса

Метод позволяет получить последнюю транзакцию по адресу.

## Описание полей

| Поле              | Тип                                         | Описание                                      |
| ----------------- | ------------------------------------------- | --------------------------------------------- |
| `id`              | `string`                                    | Идентификатор транзакции                      |
| `status`          | `enum(processed, error, rejected, pending)` | Статус транзакции                             |
| `type`            | `enum(withdrawal, deposit)`                 | Тип транзакции                                |
| `currrency`       | `string`                                    | Монета                                        |
| `network`         | `string`                                    | Сеть                                          |
| `addressFrom`     | `string`                                    | Адрес, с которого были отправлены монеты      |
| `addressTo`       | `string`                                    | Адрес, который получил монеты                 |
| `amount`          | `string`                                    | Сумма операции                                |
| `tx`              | `string`                                    | Хеш в блокчейне                               |
| `feeCurrency`     | `string or null`                            | (При выводе) Монета комиссии                  |
| `feeAmount`       | `string or null`                            | (При выводе) Сумма комиссии                   |
| `feeAmountUSD`    | `string or null`                            | (При выводе) Сумма комиссии в пересчете к USD |
| `withdrawalId`    | `string or null`                            | Идентификатор вывода в системе                |
| `orphanDepositId` | `string or null`                            | Идентификатор сиротской транзакции в системе  |
| `createdAt`       | `string`                                    | Дата получения транзакции                     |

{% openapi src="/files/fYny1be3HQkwv8pcyVWc" path="/api-gateway/addresses/last-transaction" method="post" %}
[openapi.json](https://2053084324-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FjD2GptgnRBnSrByer9Fs%2Fuploads%2Fgit-blob-c0b8b85b349592094469ee635d6c918de8f3eba5%2Fopenapi.json?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onchainpay.io/ru/api-reference/03addresses/post_last-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
